Package net.shibboleth.idp.installer.impl

# Class IdPInstallerArguments

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLineArguments
net.shibboleth.idp.installer.impl.IdPInstallerArguments

All Implemented Interfaces:
  `CommandLineArguments`

public class IdPInstallerArguments extends AbstractCommandLineArguments
Command line arguments for the "install" verb.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`entityID`
EntityID to install.
`private String`
`hostName`
DNS name of the IdP.
`private String`
`httpClientName`
Name for the `HttpClient` .
`private String`
`httpClientSecurityParametersName`
Name for the `HttpClientSecurityParameters` .
`private String`
`keystorePassword`
Password for the keystore we will generate.
`private org.slf4j.Logger`
`log`
Logger.
`private boolean`
`noPrompt`
Suppress Prompts.
`private String`
`propertyFile`
Import Property File.
`private String`
`scope`
Scope to assert.
`private String`
`sealerPassword`
Password for the sealer we will generate.
`private String`
`sourceDir`
The PluginId - usually used to drive the update.
`private String`
`targetDir`
The PluginId - usually used to drive the update.

## Constructor Summary

Constructors
Constructor
Description
`IdPInstallerArguments()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEntityID()`
The entityID to create.
`String`
`getHostName()`
Return the DNS name for the IdP.
`String`
`getHttpClientName()`
Get bean name for the `HttpClient` (if specified).
`String`
`getHttpClientSecurityParametersName()`
Get bean name for the `HttpClientSecurityParameters` (if specified).
`String`
`getKeystorePassword()`
The key store password.
`org.slf4j.Logger`
`getLog()`
`String`
`getPropertyFile()`
Get the propertyFile.
`String`
`getScope()`
Return the scope to assert.
`String`
`getSealerPassword()`
The sealer password.
`String`
`getSourceDir()`
Get the source Directory.
`String`
`getTargetDirectory()`
Get the target Directory.
`boolean`
`isUnattended()`
Are we doing an unattended install?
`void`
`printHelp(PrintStream out)`

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLineArguments

`getLanguageRanges, getLoggingConfiguration, getOtherArgs, getPropertyFiles, isANSI, isHelp, isQuietOutput, isVerboseOutput, isVersion, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nullable private org.slf4j.Logger log
Logger.

### sourceDir

@Nullable private String sourceDir
The PluginId - usually used to drive the update.

### targetDir

@Nullable private String targetDir
The PluginId - usually used to drive the update.

### noPrompt

private boolean noPrompt
Suppress Prompts.

### hostName

private String hostName
DNS name of the IdP.

### scope

private String scope
Scope to assert.

### entityID

private String entityID
EntityID to install.

### keystorePassword

private String keystorePassword
Password for the keystore we will generate.

### sealerPassword

private String sealerPassword
Password for the sealer we will generate.

### propertyFile

private String propertyFile
Import Property File.

### httpClientName

@Nullable @NotEmpty private String httpClientName
Name for the `HttpClient` .

### httpClientSecurityParametersName

@Nullable @NotEmpty private String httpClientSecurityParametersName
Name for the `HttpClientSecurityParameters` .

## Constructor Details

### IdPInstallerArguments

public IdPInstallerArguments()

## Method Details

### getLog

@Nonnull public org.slf4j.Logger getLog()

Specified by:
  `getLog` in class `AbstractCommandLineArguments`

### isUnattended

public boolean isUnattended()
Are we doing an unattended install?

Returns:
  whether we're doing an unattended install

### getTargetDirectory

@Nullable public String getTargetDirectory()
Get the target Directory.

Returns:
  `targetDir`

### getSourceDir

@Nullable public String getSourceDir()
Get the source Directory.

Returns:
  `sourceDir`

### getPropertyFile

@Nullable public String getPropertyFile()
Get the propertyFile.

Returns:
  `propertyFile`

### getHostName

@Nullable public String getHostName()
Return the DNS name for the IdP.

Returns:
  the DNS name

### getScope

public String getScope()
Return the scope to assert.

Returns:
  Returns the scope.

### getEntityID

public String getEntityID()
The entityID to create.

Returns:
  Returns the entityID.

### getKeystorePassword

public String getKeystorePassword()
The key store password.

Returns:
  Returns the keystorePassword.

### getSealerPassword

public String getSealerPassword()
The sealer password.

Returns:
  Returns the sealerPassword.

### getHttpClientName

@Nullable @NotEmpty public String getHttpClientName()
Get bean name for the `HttpClient` (if specified).

Returns:
  the name or null

### getHttpClientSecurityParametersName

@Nullable @NotEmpty public String getHttpClientSecurityParametersName()
Get bean name for the `HttpClientSecurityParameters` (if specified).

Returns:
  the name or null

### printHelp

public void printHelp(@Nonnull PrintStream out)

Specified by:
  `printHelp` in interface `CommandLineArguments`
Overrides:
  `printHelp` in class `AbstractCommandLineArguments`